Loading...
Searching...
No Matches
lutok::file_not_found_error Class Reference

File not found error. More...

`#include <exceptions.hpp>`

Inheritance diagram for lutok::file_not_found_error:
[legend]
Collaboration diagram for lutok::file_not_found_error:
[legend]

## Public Member Functions

| file_not_found_error (const std::string &)
| Constructs a new error.
virtual | ~file_not_found_error (void) throw ()
| Destructor for the error.
const std::string & | filename (void) const
| Gets the name of the file that could not be found.
Public Member Functions inherited from lutok::error
| error (const std::string &)
| Constructs a new error with a plain-text message.
virtual | ~error (void) throw ()
| Destructor for the error.

## Private Attributes

std::string | _filename
| Name of the not-found file.

## Detailed Description

File not found error.

## Constructor & Destructor Documentation

## file_not_found_error()

lutok::file_not_found_error::file_not_found_error | ( | const std::string & | filename_ | ) |

explicit

Constructs a new error.

Parameters

  filename_ | The file that count not be found.

## Member Function Documentation

## filename()

const std::string & lutok::file_not_found_error::filename | ( | void |  | ) | const

Gets the name of the file that could not be found.

Returns
  The name of the file.

The documentation for this class was generated from the following files:

- exceptions.hpp
- exceptions.cpp